import lifedataphysionetchallenge as lpc
import csv


DATA_TRAIN_LIST = lpc.get_project_root() / "data/train_test_split/train.csv"
DATA_TEST_LIST = lpc.get_project_root() / "data/train_test_split/test.csv"

def get_train_ids():
    with open(DATA_TRAIN_LIST) as file:
        csv_reader = csv.reader(file)
        # The csv file is a single line, therefore grab that line with [0]
        train_ids = list(csv_reader)[0]
        return train_ids

def get_test_ids():
    with open(DATA_TEST_LIST) as file:
        csv_reader = csv.reader(file)
        # The csv file is a single line, therefore grab that line with [0]
        test_ids = list(csv_reader)[0]
        return test_ids

def get_all_ids():
    train_ids = get_train_ids()
    test_ids = get_test_ids()
    all_ids = train_ids + test_ids
    return all_ids

