import tensorflow as tf

def load_model(path):
    """
    Loads our trained model
    """
    # Load tensorflow custom objects: https://stackoverflow.com/questions/55364954/keras-load-model-cant-recognize-tensorflows-activation-functions
    model = tf.keras.models.load_model(path, compile=True,
                custom_objects={"LeakyReLU": tf.keras.layers.LeakyReLU,
                "leaky_relu": tf.nn.leaky_relu})

    return model